%global dlrn_nvr octavia-dashboard-4.0.1.dev5-0.20200625103440.7404468
%global dlrn 1
%define upstream_version 4.0.1.dev5
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
# Doc build is trying to access location /usr/share/openstack-dashboard/local for
# writing 'secret_key_store.lock', LOCAL_PATH=/tmp (writable) and SECRET_KEY is set in
# /etc/openstack-dashboard/local_settings but this file is not readable during
# mockbuild as permission for this file is 0640(root:apache). Until the issue
# is cleared in python-django-horizon packages disabling doc build.
%global with_doc 0
%else
%global pyver 2
%global with_doc 0
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_sitearch %python%{pyver}_sitearch
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name octavia-dashboard
%global openstack_name octavia-ui

# tests are disabled by default
%bcond_with tests

Name:           openstack-%{openstack_name}
Version: 4.0.1
Release: 0.20200625103440.7404468%{?dist}
Summary:        OpenStack Octavia Dashboard for Horizon

License:        ASL 2.0
URL:            https://storyboard.openstack.org/#!/project/909
Source0: octavia-dashboard-4.0.1.dev5-0.20200625103440.7404468.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=74044687e0ef5b74853258a0f9ce2be7320e88f0

#

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-ddt
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  openstack-macros

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-selenium
%else
BuildRequires:  python%{pyver}-selenium
%endif

Requires:       openstack-dashboard
Requires:       python%{pyver}-pbr >= 2.0.0
Requires:       python%{pyver}-babel >= 2.3.4
Requires:       python%{pyver}-openstacksdk >= 0.24.0
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-barbicanclient >= 4.5.2
Requires:       python%{pyver}-keystoneclient >= 1:3.8.0
Requires:       python%{pyver}-six >= 1.10.0

%description
Octavia Dashboard is an extension for OpenStack Dashboard that provides a UI
for Octavia.

%if 0%{?with_doc}
# Documentation package
%package -n python%{pyver}-%{openstack_name}-doc
Summary:        Documentation for OpenStack Octavia Dashboard for Horizon
%{?python_provide:%python_provide python%{pyver}-%{openstack_name}-doc}

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinxcontrib-apidoc
BuildRequires:  openstack-dashboard
BuildRequires:  python%{pyver}-barbicanclient
BuildRequires:  python%{pyver}-sphinxcontrib-rsvgconverter

%description -n python%{pyver}-%{openstack_name}-doc
Documentation for Octavia Dashboard
%endif

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let RPM handle the dependencies
%py_req_cleanup

%build
%{pyver_build}

%if 0%{?with_doc}
# Build html documentation
export PYTHONPATH="%{_datadir}/openstack-dashboard:%{pyver_sitearch}:%{pyver_sitelib}:%{buildroot}%{pyver_sitelib}"
sphinx-build-%{pyver} -b html doc/source doc/build/html
# Remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

# Move config to horizon
install -p -D -m 644 octavia_dashboard/enabled/_1482_project_load_balancer_panel.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1482_project_load_balancer_panel.py

%check
%if 0%{?with_test}
%{pyver_bin} manage.py test
%endif

%files
%doc README.rst
%license LICENSE
%{pyver_sitelib}/octavia_dashboard
%{pyver_sitelib}/*.egg-info
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1482_project_load_balancer_panel.py*

%if 0%{?with_doc}
%files -n python%{pyver}-%{openstack_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 4.0.0-2
- Update patches

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches
- Fix dashboard certificates skipping pkcs12 bundles

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches
- Add missing fields for HTTPS health monitors

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches
- Imported Translations from Zanata

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches
- Fix Django version in lower-constraints

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches
- Fix fip address display for loadbalancer

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 4.0.0-1
- Update patches

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 4.0.0-0.2.0rc2
- Update patches

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> 4.0.0-0.1.0rc1
- Update patches
- Imported Translations from Zanata

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 4.0.0-0.1.0rc1
- Update to 4.0.0.0rc1

